package com.alterdekim.hearthhack.component.processor.client.request;

import com.alterdekim.Protocol;
import com.alterdekim.hearthhack.component.TcpConnection;
import com.alterdekim.hearthhack.util.BattleNetPacket;
import com.alterdekim.hearthhack.util.ClientRequestBody;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SetOptions extends ClientRequestParser {
    @Override
    public void parse(BattleNetPacket packet, ClientRequestBody body, TcpConnection conn) throws Exception {
        Protocol.SetOptions setOptions = Protocol.SetOptions.parseFrom(body.getBody());
        log.info("parseSetOptions: got");
    }

    @Override
    public int getId() {
        return 239;
    }
}
